{% extends "Docentes/Intranet/base_intranet.html" %}
{% load i18n admin_static admin_list tags_mensajes %}

{% block title %}Intranet de Docentes - Universidad de Lambayeque{% endblock %}

{% block extrastyle %}
    <style type="text/css">
        .thumbnail {
            border: 1px solid #DDDDDD;
            border-radius: 4px 4px 4px 4px;
            box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075);
            display: block;
            line-height: 1;
            padding: 4px;
        }

    </style>

    <script type="text/javascript">
        $(document).ready(function () {
            $('#mensajes').popover({
                title: 'Mensajes',
                content: 'Nueva opción disponible, donde recibiras comunicados de la Universidad, adicionalmente cuando ingreses a tus cursos podrás enviar mensajes a tus estudiantes, esperamos sea de su utilidad.<br /><strong>Central de Cómputo</strong>',
            });
            $('#moodle').popover({
                title: 'Moodle',
                content: 'Nueva opción disponible, donde podrá crear foros, encuestas, tareas, etc. para sus estudiantes, esperamos sea de su utilidad.<br /><strong>Central de Cómputo</strong>',
            });
            $('#datospersonales').popover({
                title: 'Datos Personales',
                content: 'Nueva opción disponible, donde podrá editar información personal, de su profesión, anexar hoja de vida e información de contacto, esperamos sea de su utilidad.<br /><strong>Central de Cómputo</strong>',
            });
            // $('#mensajes').popover('show');
        });
    </script>

{% endblock %}

{% block extrahead %}
    <link rel="stylesheet" type="text/css"
          href="http://190.116.176.43:8088/static/custom/colorbox/example1/colorbox.css" media="screen"/>
{% endblock %}

{% block sidebar-nav %}
    <li class="{% if var == 'm' %}active{% endif %}"><a href="/docente/profile/?q=m"><i class="icon-home"></i> Menú
        Principal</a></li>
    <li class="nav-header">Acadsis</li>
    <li class="{% if var == 'l' %}active{% endif %}"><a href="/docente/profile/cursos_disponibles/?q=l"><i
            class="icon-list-alt"></i> Cursos a cargo</a></li>
    <li class="{% if var == 'ed' %}active{% endif %}"><a href="/docente/evaluacion/?q=ed"><i class="icon-list-alt"></i>
        Evaluación docente</a></li>
    <li class="{% if var == 'ld' %}active{% endif %}"><a href="/docente/labor/?q=ld"><i class="icon-list-alt"></i> Labor
        docente</a></li>
    {% block cursos_disponibles %}{% endblock %}
    <li class="nav-header">Mensajes</li>
    <li class="{% if var == 're' %}active{% endif %}"><a id='mensajes' href="/docente/profile/mensajes/recibidos/?q=re"><i
            class="icon-list-alt"></i> Mensajes {% n_mensajes_hoy user %} <span class="label label-success">Nuevo</span></a>
    </li>
    <li class="nav-header">Cuenta de usuario</li>
    <li class="{% if var == 'd' %}active{% endif %}"><a id='datospersonales'
                                                        href="/docente/profile/datos_personales/?q=d"><i
            class="icon-user"></i> Datos personales <span class="label label-success">Nuevo</span></a></li>
    <li class="{% if var == 'p' %}active{% endif %}"><a href="/docente/profile/cambiar_passwd/?q=p"><i
            class="icon-edit"></i> Cambia tu Clave</a></li>
    <li><a href="logout/"><i class="icon-off"></i> Terminar sesión</a></li>
    <li class="nav-header">Servicios</li>
    <!-- <li><a class="cookie-delete" href="#" target="_blank"><i class="icon-wrench"></i> Biblioteca UDL</a></li> -->
    <li><a class="cookie-delete" href="http://www.udl.edu.pe/" target="_blank"><i class="icon-wrench"></i> Página
        Institucional</a></li>
    <li><a class="sidenav-style-1" href="http://mail.udl.edu.pe/" target="_blank"><i class="icon-align-left"></i> Correo
        Institucional</a></li>
    <!-- <li><a id = 'itemCronograma' href="http://200.37.62.146/static/uploads/Directiva-VIRAC-02-2015-I -UDL.pdf" target="_blank"><i class="icon-book"></i> Directiva 2 VIRAC 2015-I</a></li> -->
    <!-- <li><a id = 'itemCronograma' href="http://200.37.62.146/static/uploads/Directiva-VIRAC-03-2015-I -UDL.pdf" target="_blank"><i class="icon-book"></i> Directiva 3 VIRAC 2015-I</a></li> -->
    <li><a id='moodle' class="sidenav-style-2" href="http://www.udl.edu.pe/moodle/" target="_blank"><i
            class="icon-align-right"></i> Moodle <span class="label label-success">Nuevo</span></a></li>
    <hr/>
    <li><p><span class="label label-info">¿Necesitas ayuda?</span> <strong></strong></p></li>
    <li><a href="{% static 'uploads/manual_intranet.pdf' %}" target="_blank"><i class="icon-list-alt"></i> Manual del
        Sistema</a></li>
{% endblock %}

{% block content-main %}
    <div class="row-fluid">

        <!--<div class="alert alert-info">
            <i class="icon-info-sign"></i> <strong>ENCUESTA:</strong>
            <h4>Estimado profesor, ayudanos participando de la encuesta para Medir la Utilidad de la Intranet Docente. <br/>Para iniciar presiona el siguiente enlace <a target="_blank" href="http://encuestas.udl.edu.pe/index.php?sid=51615" class="btn btn-mini btn-info">AQUÍ</a>.</h4>
        </div>-->

        <!-- A CONTINUACIÓN EL NUEVO POPUP -->

        <!--
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
        <script src="http://190.116.176.43:8088/static/custom/colorbox/jquery.colorbox.js"></script>
        <script>
          function openColorBox(){
            $.colorbox({iframe:true,close:"cerrar",width:"720",height:"740",href:"http://190.116.176.43:8088/static/uploads/popup_intranet.html"});
          }
          setTimeout(openColorBox, 1000);
        </script>
        -->
        <div class="well">
            <h3>{{ saludo }}, {{ user.first_name }} {{ user.last_name }}</h3>
            <hr>
            <div class="row-fluid">
                <div class="span3">
                    <div class="">
                        {% if results.0.0.0.Docente.Foto %}
                            <img class="thumbnail" src="{% static 'uploads/' %}{{ results.0.0.0.Docente.Foto }}"
                                 alt="avatar" width='100' height='120'/>
                        {% else %}
                            <img class="thumbnail" src="{% static 'uploads/avatar.jpg' %}" alt="avatar" width='100'
                                 height='120'/>
                        {% endif %}
                        <div class="info">
                            <h3>{{ user.first_name }}</h3>
                            <h3>{{ user.last_name }}</h3>
                            <i class="icon-envelope"></i> <a
                                href="https://www.google.com/a/udl.edu.pe/ServiceLogin?service=mail&passive=true&rm=false&continue=https://mail.google.com/a/udl.edu.pe/&ss=1&ltmpl=default&ltmplcache=2&Email={{ user.email }}"
                                target="_blank">{{ user.email }}</a>
                        </div>
                    </div>
                </div>

                <div class="span9">

                    <div class="alert">
                        <i class="icon-info-sign"></i> <strong>Importante:</strong> En la parte inferior puedes acceder
                        a todas las opciones que esta intranet te ofrece.
                    </div>
                    <div align="center">
                        <a target="_blank" href="{{ urlacadsis }}/autoevaluacion_enlinea/" style="font-size: 20px" class="btn btn-success">Completar auto evaluación</a>
                    </div>
                    <br>
                    <div align="center">
                        <form action="http://aulavirtual.udl.edu.pe/login/index.php" method="post" name="form"
                              target="_blank"
                              id="form">
                            <input type="hidden" name="username" id="username" value="{{ usuarioaula }}"/>
                            <input type="hidden" name="password" id="password" value="{{ clave }}"/>
                            <input style="font-size: 20px" class="btn btn-danger" type="submit" name="Submit"
                                   value="Ingresa al Aula Virtual"/>
                        </form>
                    </div>

                    <ul>
                        <li>
                            <h3>Sílabos y material:
                                <small style="color: #222;">Subir el sílabo y material de curso</small>
                            </h3>
                        </li>
                    </ul>

                    <table class="table table-striped table-bordered table-condensed">
                        <thead>
                        <tr>
                            <th style="text-align:center;">{% trans 'Curso' %}</th>
                            <th style="text-align:center;">{% trans 'Carrera' %}</th>
                            <th colspan="3" style="text-align:center;">{% trans 'Subió Silabo?' %}</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for result in cursos %}
                            <tr>
                                <td>{{ result.Curso.Nombre }}</td>
                                <td>{{ result.Curso.Carrera }}</td>
                                <td style="text-align:center;background-color:white;"><a
                                        href='/docente/profile/ver_silabo/{{ result.id }}/?q=l&a=s'
                                        class="btn btn-mini"><i class="icon-edit"></i> <strong>Sílabo</strong></a>
                                </td>
                                <td style="text-align:center;background-color:white;"><a
                                        class="actmaterial btn btn-mini"
                                        href="/docente/profile/material/{{ result.id }}/?q=l&a=r"><i
                                        class="icon-eye-open"></i><br/><strong>Material</strong></a></td>
                            </tr>
                        {% endfor %}

                        </tbody>
                    </table>

                    <ul>
                        <li>
                            <h3>Acciones:
                                <small style="color: #222;">¿Qué necesitas hacer hoy?</small>
                            </h3>
                        </li>
                    </ul>


                    <table class="table table-striped table-bordered table-condensed">
                        <thead>
                        <tr>
                            <th style="text-align:center;">{% trans 'Curso' %}</th>
                            <th style="text-align:center;">{% trans 'Carrera' %}</th>
                            <th style="text-align:center;">{% trans 'Acciones' %}</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for result in results %}
                            <tr>
                                <td>{{ result.0.0.Curso.Nombre }}</td>
                                <td>{% for r in result.1 %} {{ r }} {% endfor %}</td>
                                <div class="btn-group">
                                    <td style="text-align:center;background-color:white;"><a
                                            class="actnotas btn btn-mini"
                                            href="/docente/profile/Notas/{{ result.0.0.id }}/?q=l&a=n"><i
                                            class="icon-th-list"></i><br/><strong>Notas</strong></a></td>
                                    <td style="text-align:center;background-color:white;"><a
                                            class="actasistencias btn btn-mini"
                                            href="/docente/profile/cursos_disponibles/curso/{{ result.0.0.id }}/?q=l"><i
                                            class=" icon-edit"></i><br/><strong>Asistencia</strong></a></td>

                                </div>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                    <ul>
                        <li>
                            <h3>Formatos:
                                <small style="color: #222;">Descargar Formatos auxiliares de Asistencias y Notas</small>
                            </h3>
                        </li>
                    </ul>

                    <table class="table table-striped table-bordered table-condensed">
                        <thead>
                        <tr>
                            <th>{% trans 'Curso' %}</th>
                            <th>{% trans 'Carrera' %}</th>
                            <th>{% trans 'Formatos' %}</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for result in results %}
                            <tr>
                                <td>{{ result.0.0.Curso.Nombre }}</td>
                                <td>{% for r in result.1 %} {{ r }} {% endfor %}</td>
                                <td>
                                    <div class="btn-group">
                                        <a class="actnotas btn btn-mini"
                                           href="/docente/profile/asistencias_aux/{{ result.0.0.Curso.id }}/"><i
                                                class="icon-th-list"></i> Asistencia</a>
                                        <a class="actmaterial btn btn-mini"
                                           href="/docente/profile/notas_aux/{{ result.0.0.Curso.id }}/"><i
                                                class="icon-eye-open"></i> Notas</a>
                                    </div>
                                </td>
                            </tr>
                        {% endfor %}

                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
{% endblock %}
